- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPdco Class Reference

This solves problems in Primal Dual Convex Optimization. More...

`#include <ClpPdco.hpp>`

Inheritance diagram for ClpPdco:

[legend]
Collaboration diagram for ClpPdco:

[legend]
List of all members.

## Public Member Functions
Description of algorithm
int | pdco ()
| Pdco algorithm.
int | pdco (ClpPdcoBase *stuff, Options &options, Info &info, Outfo &outfo)
| Pdco algorithm.
Functions used in pdco
void | lsqr ()
| LSQR.
void | matVecMult (int, double *, double *)
| LSQR.
void | matVecMult (int, CoinDenseVector< double > &, double *)
| LSQR.
void | matVecMult (int, CoinDenseVector< double > &, CoinDenseVector< double > &)
| LSQR.
void | matVecMult (int, CoinDenseVector< double > *, CoinDenseVector< double > *)
| LSQR.
void | getBoundTypes (int *, int *, int *, int **)
| LSQR.
void | getGrad (CoinDenseVector< double > &x, CoinDenseVector< double > &grad)
| LSQR.
void | getHessian (CoinDenseVector< double > &x, CoinDenseVector< double > &H)
| LSQR.
double | getObj (CoinDenseVector< double > &x)
| LSQR.
void | matPrecon (double, double *, double *)
| LSQR.
void | matPrecon (double, CoinDenseVector< double > &, double *)
| LSQR.
void | matPrecon (double, CoinDenseVector< double > &, CoinDenseVector< double > &)
| LSQR.
void | matPrecon (double, CoinDenseVector< double > *, CoinDenseVector< double > *)
| LSQR.

## Detailed Description

This solves problems in Primal Dual Convex Optimization.

It inherits from ClpInterior. It has no data of its own and is never created - only cast from a ClpInterior object at algorithm time.

Definition at line 21 of file ClpPdco.hpp.

## Member Function Documentation

int ClpPdco::pdco | ( |  | ) |

Pdco algorithm.

Method

Reimplemented from ClpInterior.

int ClpPdco::pdco | ( | ClpPdcoBase * | stuff,
|  | Options & | options,
|  | Info & | info,
|  | Outfo & | outfo |
| ) |  |  |

Pdco algorithm.

Method

Reimplemented from ClpInterior.

void ClpPdco::lsqr | ( |  | ) |

LSQR.

void ClpPdco::matVecMult | ( | int | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

LSQR.

void ClpPdco::matVecMult | ( | int | ,
|  | CoinDenseVector< double > & | ,
|  | double * |  |
| ) |  |  |

LSQR.

void ClpPdco::matVecMult | ( | int | ,
|  | CoinDenseVector< double > & | ,
|  | CoinDenseVector< double > & |  |
| ) |  |  |

LSQR.

void ClpPdco::matVecMult | ( | int | ,
|  | CoinDenseVector< double > * | ,
|  | CoinDenseVector< double > * |  |
| ) |  |  |

LSQR.

void ClpPdco::getBoundTypes | ( | int * | ,
|  | int * | ,
|  | int * | ,
|  | int ** |  |
| ) |  |  |

LSQR.

void ClpPdco::getGrad | ( | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | grad |
| ) |  |  |

LSQR.

void ClpPdco::getHessian | ( | CoinDenseVector< double > & | x,
|  | CoinDenseVector< double > & | H |
| ) |  |  |

LSQR.

double ClpPdco::getObj | ( | CoinDenseVector< double > & | x | ) |

LSQR.

void ClpPdco::matPrecon | ( | double | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

LSQR.

void ClpPdco::matPrecon | ( | double | ,
|  | CoinDenseVector< double > & | ,
|  | double * |  |
| ) |  |  |

LSQR.

void ClpPdco::matPrecon | ( | double | ,
|  | CoinDenseVector< double > & | ,
|  | CoinDenseVector< double > & |  |
| ) |  |  |

LSQR.

void ClpPdco::matPrecon | ( | double | ,
|  | CoinDenseVector< double > * | ,
|  | CoinDenseVector< double > * |  |
| ) |  |  |

LSQR.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpPdco.hpp